Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1027697 - PRD34 - [RFE] Make reservations for HA VMs to make sure there's enough capacity to start them if N hosts fail
Summary: PRD34 - [RFE] Make reservations for HA VMs to make sure there's enough capaci...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.4.0
Assignee: Scott Herold
QA Contact: Lukas Svaty
URL: http://www.ovirt.org/Features/HA_VM_r...
Whiteboard: sla
Depends On:
Blocks: 1027772 1036753 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-11-07 10:04 UTC by Josep 'Pep' Turro Mauri
Modified: 2018-12-09 17:16 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Enhancement
Doc Text:
This feature adds the ability to create and manage reservations for high-availability virtual machines, making it possible to ensure there are sufficient resources on the hosts in a Red Hat Enterprise Virtualization environment to run those virtual machines in the event of a failure on a host running high-availability virtual machines.
Clone Of:
: 1036753 (view as bug list)
Environment:
Last Closed: 2014-06-09 15:01:08 UTC
oVirt Team: SLA
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 22929 None None None Never

Description Josep 'Pep' Turro Mauri 2013-11-07 10:04:45 UTC
It should be possible to make specific reservations for HA vms to make sure that we always have enough spare capacity to start the HA VMs if N hosts fail.

This we can do in a basic way with the pluggable scheduler but it would be better if there was a dedicated feature in the engine.

Comment 5 errata-xmlrpc 2014-06-09 15:01:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.